A polymer element that wraps bowser and exposes a few useful bindable properties.

[ This description is mirrored from README.md at github.com/LssPolymerElements/bowser-polymer on 2019-05-10 ]

bowser-polymer

A polymer element that wraps bowser and exposes a few useful bindable properties.

To install use: bower install --save bowser-polymer

LIVE DEMO AND API

Published on webcomponents.org

<bowser-polymer name="{{name}}" version="{{version}}" is-chrome="{{isChrome}}" is-msedge="{{isMsedge}}" is-msie="{{isMsie}}"
                is-firefox="{{isFirefox}}" is-android="{{isAndroid}}" is-ios="{{isIos}}" is-opera="{{isOpera}}"></bowser-polymer>
            <h1>Bound Properties</h1>
            <ul>
                <li> Name: [[name]]</li>
                <li> Version: [[version]]</li>
                <li> isChrome: [[isChrome]]</li>
                <li> isMsedge: [[isMsedge]]</li>
                <li> isMsie: [[isMsie]]</li>
                <li> isFirefox: [[isFirefox]]</li>
                <li> isAndroid: [[isAndroid]]</li>
                <li> isIos: [[isIos]]</li>
                <li> isOpera: [[isOpera]]</li>
            </ul>

Install

Link to this version
ImportedReleased 27 June 2017MIT License
Framework Support
Polymer 2.0+
Also supported:
Polymer 1 (1.0.6)
Browser Compatibility
Install with
bower install --save LssPolymerElements/bowser-polymer"#2.0.0"
Run the above Bower command in your project folder. If you have any issues installing, please contact the author.
Release notes - Version 2.0.0

Dependencies

  • polymer#Polymer/polymer#^2.0.0